A B C D E F G H I J K L M N O P Q R S T U V W X Z

A

AbstractArticleController - Class in org.randomcoder.article
Base class for article add / edit controllers.
AbstractArticleController() - Constructor for class org.randomcoder.article.AbstractArticleController
 
AbstractArticleListController<PageCommand extends ArticlePageCommand> - Class in org.randomcoder.article
Abstract base class for controllers which generate article lists.
AbstractArticleListController() - Constructor for class org.randomcoder.article.AbstractArticleListController
 
AbstractCommentStatusController - Class in org.randomcoder.article.comment
Abstract base class for controllers which modify a comment's status.
AbstractCommentStatusController() - Constructor for class org.randomcoder.article.comment.AbstractCommentStatusController
 
AbstractFeedController - Class in org.randomcoder.feed
Base class for syndicated feed controllers.
AbstractFeedController() - Constructor for class org.randomcoder.feed.AbstractFeedController
 
AbstractSingleArticleController - Class in org.randomcoder.article
Abstract controller class which provides support for displaying a single article.
AbstractSingleArticleController() - Constructor for class org.randomcoder.article.AbstractSingleArticleController
 
AbstractTagController - Class in org.randomcoder.tag
Base class for tag add / edit controllers.
AbstractTagController() - Constructor for class org.randomcoder.tag.AbstractTagController
 
AbstractUserController - Class in org.randomcoder.user
Base class for user add / edit controllers.
AbstractUserController() - Constructor for class org.randomcoder.user.AbstractUserController
 
AbstractXMLReader - Class in org.randomcoder.xml
Abstract base class for XMLReader implementations.
AbstractXMLReader() - Constructor for class org.randomcoder.xml.AbstractXMLReader
 
AccountCreateCommand - Class in org.randomcoder.user
Command class for adding users.
AccountCreateCommand() - Constructor for class org.randomcoder.user.AccountCreateCommand
 
AccountCreateController - Class in org.randomcoder.user
Controller class which handles adding user accounts.
AccountCreateController() - Constructor for class org.randomcoder.user.AccountCreateController
 
AccountCreateValidator - Class in org.randomcoder.user
Validator used for adding accounts.
AccountCreateValidator() - Constructor for class org.randomcoder.user.AccountCreateValidator
 
afterPropertiesSet() - Method in class org.randomcoder.about.ApplicationInformationFactoryBean
Initializes the factory.
afterPropertiesSet() - Method in class org.randomcoder.article.moderation.AkismetModerator
Initializes the Akismet filter.
afterPropertiesSet() - Method in class org.randomcoder.crypto.KeystoreCertificateFactoryBean
Performs final setup of the class.
afterPropertiesSet() - Method in class org.randomcoder.crypto.TransientAESEncryptionContext
Initializes the internal state of the object after all properties have been set.
afterPropertiesSet() - Method in class org.randomcoder.download.http.HttpRepository
Initializes the repository.
afterPropertiesSet() - Method in class org.randomcoder.download.maven.MavenRepository
Initializes the repository.
afterPropertiesSet() - Method in class org.randomcoder.security.cardspace.CardSpaceAuthenticationProvider
Fired after all properties have been set.
AggregatePackageListProducer - Class in org.randomcoder.download
Package list producer which aggregates or combines other package lists.
AggregatePackageListProducer() - Constructor for class org.randomcoder.download.AggregatePackageListProducer
 
AkismetModerator - Class in org.randomcoder.article.moderation
Moderator implementation which queries Akismet.
AkismetModerator() - Constructor for class org.randomcoder.article.moderation.AkismetModerator
 
AllFeedController - Class in org.randomcoder.feed
Feed controller which generates feeds for all articles.
AllFeedController() - Constructor for class org.randomcoder.feed.AllFeedController
 
AnyChannelProcessor - Class in org.randomcoder.security
Acegi ChannelProcessor implementation which allows any access method.
AnyChannelProcessor() - Constructor for class org.randomcoder.security.AnyChannelProcessor
 
ApplicationInformation - Class in org.randomcoder.about
JavaBean which holds application information.
ApplicationInformation(String, String) - Constructor for class org.randomcoder.about.ApplicationInformation
Creates a new ApplicationInformation object.
ApplicationInformationFactoryBean - Class in org.randomcoder.about
Spring FactoryBean to generate ApplicationInformation instances.
ApplicationInformationFactoryBean() - Constructor for class org.randomcoder.about.ApplicationInformationFactoryBean
 
approveComment(Long) - Method in interface org.randomcoder.article.ArticleBusiness
Approves a comment.
approveComment(Long) - Method in class org.randomcoder.article.ArticleBusinessImpl
 
Article - Class in org.randomcoder.article
JavaBean representing an article.
Article() - Constructor for class org.randomcoder.article.Article
 
ArticleAddCommand - Class in org.randomcoder.article
Command class used for adding articles.
ArticleAddCommand() - Constructor for class org.randomcoder.article.ArticleAddCommand
 
ArticleAddController - Class in org.randomcoder.article
Controller class which handles article creation.
ArticleAddController() - Constructor for class org.randomcoder.article.ArticleAddController
 
ArticleAddValidator - Class in org.randomcoder.article
Validator for adding articles.
ArticleAddValidator() - Constructor for class org.randomcoder.article.ArticleAddValidator
 
articleBusiness - Variable in class org.randomcoder.article.AbstractArticleController
Article business object.
articleBusiness - Variable in class org.randomcoder.article.AbstractSingleArticleController
Article business methods.
ArticleBusiness - Interface in org.randomcoder.article
Business interface for managing articles.
articleBusiness - Variable in class org.randomcoder.article.comment.AbstractCommentStatusController
ArticleBusiness implementation.
ArticleBusinessImpl - Class in org.randomcoder.article
Business implementation which handles articles.
ArticleBusinessImpl() - Constructor for class org.randomcoder.article.ArticleBusinessImpl
 
articleDao - Variable in class org.randomcoder.article.AbstractArticleListController
Article DAO.
articleDao - Variable in class org.randomcoder.article.AbstractSingleArticleController
Article DAO.
articleDao - Variable in class org.randomcoder.article.ArticleAddValidator
Article Dao.
ArticleDao - Interface in org.randomcoder.article
Article data access interface.
ArticleDecorator - Class in org.randomcoder.article
Helper class which "decorates" an Article instance by providing XHTML formatting support.
ArticleDecorator(Article, ContentFilter) - Constructor for class org.randomcoder.article.ArticleDecorator
Creates a new decorator using the given article and content filter.
ArticleDeleteController - Class in org.randomcoder.article
Controller class which handles article deletion.
ArticleDeleteController() - Constructor for class org.randomcoder.article.ArticleDeleteController
 
ArticleEditCommand - Class in org.randomcoder.article
Command class used for updating articles.
ArticleEditCommand() - Constructor for class org.randomcoder.article.ArticleEditCommand
 
ArticleEditController - Class in org.randomcoder.article
Controller class which handles article updating.
ArticleEditController() - Constructor for class org.randomcoder.article.ArticleEditController
 
ArticleEditValidator - Class in org.randomcoder.article
Validator for editing articles.
ArticleEditValidator() - Constructor for class org.randomcoder.article.ArticleEditValidator
 
ArticleIdController - Class in org.randomcoder.article
Controller class which loads an article by primary key.
ArticleIdController() - Constructor for class org.randomcoder.article.ArticleIdController
 
ArticleNotFoundException - Exception in org.randomcoder.article
Exception thrown when a requested article cannot be found.
ArticleNotFoundException() - Constructor for exception org.randomcoder.article.ArticleNotFoundException
Default constructor.
ArticleNotFoundException(String) - Constructor for exception org.randomcoder.article.ArticleNotFoundException
Constructor taking an optional message to display.
ArticlePageCommand - Class in org.randomcoder.article
Command class used for article paging.
ArticlePageCommand() - Constructor for class org.randomcoder.article.ArticlePageCommand
 
ArticlePermalinkController - Class in org.randomcoder.article
Controller class which loads an article by permalink.
ArticlePermalinkController() - Constructor for class org.randomcoder.article.ArticlePermalinkController
 
ArticleTagListController - Class in org.randomcoder.article
Controller class which handles displaying articles by tag.
ArticleTagListController() - Constructor for class org.randomcoder.article.ArticleTagListController
 
ArticleTagPageCommand - Class in org.randomcoder.article
Command object used for paged tag queries.
ArticleTagPageCommand() - Constructor for class org.randomcoder.article.ArticleTagPageCommand
 
associateCardSpaceCredentials(Long, CardSpaceCredentials) - Method in interface org.randomcoder.user.UserBusiness
Associates the given CardSpaceCredentials with the given user.
associateCardSpaceCredentials(Long, CardSpaceCredentials) - Method in class org.randomcoder.user.UserBusinessImpl
 
AtomFeedGenerator - Class in org.randomcoder.feed
Generator for Atom 1.0 feeds.
AtomFeedGenerator() - Constructor for class org.randomcoder.feed.AtomFeedGenerator
 
attemptAuthentication(HttpServletRequest) - Method in class org.randomcoder.security.cardspace.CardSpaceProcessingFilter
Attempts authentication using CardSpace tokens.
auditCardSpaceLogin(CardSpaceCredentials) - Method in interface org.randomcoder.user.UserBusiness
Marks a user as having logged in as of a particular date and time and marks the associated CardSpaceToken as used.
auditCardSpaceLogin(CardSpaceCredentials) - Method in class org.randomcoder.user.UserBusinessImpl
 
auditUsernamePasswordLogin(String) - Method in interface org.randomcoder.user.UserBusiness
Marks a user as having logged in as of a particular date and time.
auditUsernamePasswordLogin(String) - Method in class org.randomcoder.user.UserBusinessImpl
 
authenticate(Authentication) - Method in class org.randomcoder.security.cardspace.CardSpaceAuthenticationProvider
Attempts to authenticate a CardSpace authentication token.
AuthenticationAuditListener - Class in org.randomcoder.security
ApplicationEvent listener which audits authentication events.
AuthenticationAuditListener() - Constructor for class org.randomcoder.security.AuthenticationAuditListener
 

B

bind(Article, boolean) - Method in class org.randomcoder.article.comment.CommentCommand
Binds non-request parameters to form.

C

CachingPackageListProducer - Class in org.randomcoder.download.cache
Package list producer which caches lookups to an underlying target.
CachingPackageListProducer() - Constructor for class org.randomcoder.download.cache.CachingPackageListProducer
 
calculateIssuerHash(CardSpaceCredentials) - Static method in class org.randomcoder.cardspace.CardSpaceUtils
Calculates an SHA-1 hash of the given credentials' issuer public key.
canonicalizeDomainName(String) - Static method in class org.randomcoder.validation.DataValidationUtils
Returns the canonical representation of a domain name.
canonicalizeTagName(String) - Static method in class org.randomcoder.validation.DataValidationUtils
Derives a canonical representation of a tag name.
CARDSPACE_CLAIMS_SCHEMA - Static variable in class org.randomcoder.security.cardspace.CardSpaceAttributes
CardSpace Claims Schema
CardSpaceAttributes - Class in org.randomcoder.security.cardspace
Constants representing CardSpace-specific claims.
CardSpaceAuthenticationProvider - Class in org.randomcoder.security.cardspace
AuthenticationProvider which validates CardSpaceAuthenticationToken tokens.
CardSpaceAuthenticationProvider() - Constructor for class org.randomcoder.security.cardspace.CardSpaceAuthenticationProvider
 
CardSpaceAuthenticationToken - Class in org.randomcoder.security.cardspace
Authentication implementation for use with CardSpace logins.
CardSpaceAuthenticationToken(CardSpaceCredentials) - Constructor for class org.randomcoder.security.cardspace.CardSpaceAuthenticationToken
Creates an un-authenticated token.
CardSpaceAuthenticationToken(Object, CardSpaceCredentials, GrantedAuthority[]) - Constructor for class org.randomcoder.security.cardspace.CardSpaceAuthenticationToken
Creates an authenticated token.
CardSpaceCredentials - Class in org.randomcoder.security.cardspace
CardSpace credentials implementation.
CardSpaceCredentials(SamlAssertion, PublicKey, Date) - Constructor for class org.randomcoder.security.cardspace.CardSpaceCredentials
Creates a CardSpaceCredentials from a decrypted saml assertion.
CardSpaceCredentialsPropertyEditor - Class in org.randomcoder.user
Property editor for CardSpace tokens.
CardSpaceCredentialsPropertyEditor(CertificateContext) - Constructor for class org.randomcoder.user.CardSpaceCredentialsPropertyEditor
 
CardSpaceCredentialsValidator - Interface in org.randomcoder.security.cardspace
Interface for pluggable CardSpace credential validators.
CardSpaceDateConstraintValidator - Class in org.randomcoder.security.cardspace
CardSpace credential validator which checks notBefore and notOnOrAfter constraints.
CardSpaceDateConstraintValidator() - Constructor for class org.randomcoder.security.cardspace.CardSpaceDateConstraintValidator
 
CardSpaceGender - Enum in org.randomcoder.security.cardspace
Enum containing CardSpace gender types.
CardSpaceMaximumAgeValidator - Class in org.randomcoder.security.cardspace
CardSpace credential validator which checks that a token is not issued beyond a given maximum age.
CardSpaceMaximumAgeValidator() - Constructor for class org.randomcoder.security.cardspace.CardSpaceMaximumAgeValidator
 
CardSpaceOneTimeUseValidator - Class in org.randomcoder.security.cardspace
CardSpace credential validator which only allows tokens to be used once.
CardSpaceOneTimeUseValidator() - Constructor for class org.randomcoder.security.cardspace.CardSpaceOneTimeUseValidator
 
CardSpaceProcessingFilter - Class in org.randomcoder.security.cardspace
Processes a Windows CardSpace Information Card.
CardSpaceProcessingFilter() - Constructor for class org.randomcoder.security.cardspace.CardSpaceProcessingFilter
 
CardSpaceSeenToken - Class in org.randomcoder.security.cardspace
JavaBean representing a seen CardSpace token.
CardSpaceSeenToken() - Constructor for class org.randomcoder.security.cardspace.CardSpaceSeenToken
 
CardSpaceSeenTokenDao - Interface in org.randomcoder.security.cardspace
CardSpaceSeenToken data access interface.
CardSpaceSeenTokenDaoBase - Interface in org.randomcoder.security.cardspace
Base CardSpaceSeenToken data access interface.
CardSpaceSeenTokenDaoImpl - Class in org.randomcoder.security.cardspace
CardSpaceSeenToken data access implementation.
CardSpaceSeenTokenDaoImpl() - Constructor for class org.randomcoder.security.cardspace.CardSpaceSeenTokenDaoImpl
Default constructor.
CardSpaceToken - Class in org.randomcoder.user
JavaBean representing a CardSpace token.
CardSpaceToken() - Constructor for class org.randomcoder.user.CardSpaceToken
 
CardSpaceTokenDao - Interface in org.randomcoder.user
CardSpaceToken data access interface.
CardSpaceTokenExistsException - Exception in org.randomcoder.user
Exception thrown when a CardSpace token already exists.
CardSpaceTokenExistsException() - Constructor for exception org.randomcoder.user.CardSpaceTokenExistsException
Default constructor.
CardSpaceTokenNotFoundException - Exception in org.randomcoder.user
Exception thrown when a CardSpace token cannot be found.
CardSpaceTokenNotFoundException() - Constructor for exception org.randomcoder.user.CardSpaceTokenNotFoundException
Default constructor.
CardSpaceTokenSpec - Class in org.randomcoder.cardspace
JavaBean which holds the details necessary to identify a CardSpace token.
CardSpaceTokenSpec(String, String, Date) - Constructor for class org.randomcoder.cardspace.CardSpaceTokenSpec
Creates a new CardSpaceToken spec.
CardSpaceUserDetailsService - Interface in org.randomcoder.security.cardspace
Acegi authority provider for CardSpace.
CardSpaceUtils - Class in org.randomcoder.cardspace
CardSpace convenience methods.
CertificateContext - Class in org.randomcoder.crypto
JavaBean which contains a reference to an X509 Certificate and its associated private key.
CertificateContext(X509Certificate, PrivateKey) - Constructor for class org.randomcoder.crypto.CertificateContext
Creates a new CertificateContext with the given certificate and private key.
changePassword(String, String) - Method in interface org.randomcoder.user.UserBusiness
Change a user's password.
changePassword(String, String) - Method in class org.randomcoder.user.UserBusinessImpl
 
ChangePasswordCommand - Class in org.randomcoder.user
Controller used to change a user's password.
ChangePasswordCommand() - Constructor for class org.randomcoder.user.ChangePasswordCommand
 
ChangePasswordController - Class in org.randomcoder.user
Controller used to change a user's password.
ChangePasswordController() - Constructor for class org.randomcoder.user.ChangePasswordController
 
ChangePasswordValidator - Class in org.randomcoder.user
Validator for the change password form.
ChangePasswordValidator() - Constructor for class org.randomcoder.user.ChangePasswordValidator
 
characters(char[], int, int) - Method in class org.randomcoder.content.XHTMLReader
Parses character data.
characters(char[], int, int) - Method in class org.randomcoder.download.maven.MavenMetadataHandler
Handles character data events.
CITY - Static variable in class org.randomcoder.security.cardspace.CardSpaceAttributes
City or Locality
clone() - Method in class org.randomcoder.download.FileSet
Clones this object.
clone() - Method in class org.randomcoder.download.FileSpec
Clones this object.
close() - Method in class org.randomcoder.io.SequenceReader
Closes the reader.
commence(ServletRequest, ServletResponse) - Method in class org.randomcoder.security.UrlMutatingChannelEntryPoint
Processes this channel.
Comment - Class in org.randomcoder.article.comment
JavaBean representing an article comment.
Comment() - Constructor for class org.randomcoder.article.comment.Comment
 
CommentApproveController - Class in org.randomcoder.article.comment
Controller class which handles comment approval.
CommentApproveController() - Constructor for class org.randomcoder.article.comment.CommentApproveController
 
CommentCommand - Class in org.randomcoder.article.comment
Command class for comment posting.
CommentCommand() - Constructor for class org.randomcoder.article.comment.CommentCommand
 
CommentDao - Interface in org.randomcoder.article.comment
Comment data access interface.
CommentDecorator - Class in org.randomcoder.article.comment
Helper class which "decorates" an Comment instance by providing XHTML formatting support.
CommentDecorator(Comment, ContentFilter) - Constructor for class org.randomcoder.article.comment.CommentDecorator
Creates a new comment decorator using the given comment and filter.
CommentDeleteController - Class in org.randomcoder.article.comment
Controller class which handles comment deletion.
CommentDeleteController() - Constructor for class org.randomcoder.article.comment.CommentDeleteController
 
CommentDisapproveController - Class in org.randomcoder.article.comment
Controller class which handles comment disapproval.
CommentDisapproveController() - Constructor for class org.randomcoder.article.comment.CommentDisapproveController
 
CommentIp - Class in org.randomcoder.article.comment
JavaBean representing a comment IP address.
CommentIp() - Constructor for class org.randomcoder.article.comment.CommentIp
 
CommentIpDao - Interface in org.randomcoder.article.comment
Comment IP data access interface.
CommentNotFoundException - Exception in org.randomcoder.article.comment
Exception thrown when a requested comment cannot be found.
CommentNotFoundException() - Constructor for exception org.randomcoder.article.comment.CommentNotFoundException
Default constructor.
CommentNotFoundException(String) - Constructor for exception org.randomcoder.article.comment.CommentNotFoundException
Constructor taking an optional message to display.
CommentReferrer - Class in org.randomcoder.article.comment
JavaBean representing a comment referrer.
CommentReferrer() - Constructor for class org.randomcoder.article.comment.CommentReferrer
 
CommentReferrerDao - Interface in org.randomcoder.article.comment
Comment referrer data access interface.
CommentUserAgent - Class in org.randomcoder.article.comment
JavaBean representing a comment user agent.
CommentUserAgent() - Constructor for class org.randomcoder.article.comment.CommentUserAgent
 
CommentUserAgentDao - Interface in org.randomcoder.article.comment
Comment user agent data access interface.
CommentValidator - Class in org.randomcoder.article.comment
Validator for posting comments.
CommentValidator() - Constructor for class org.randomcoder.article.comment.CommentValidator
 
compare(String, String) - Method in class org.randomcoder.download.VersionComparator
Compares one artifact version to another.
compareTo(FileSpec) - Method in class org.randomcoder.download.FileSpec
Compares this FileSpec to another FileSpec.
compareTo(Package) - Method in class org.randomcoder.download.Package
Compares this package to another package by name.
compareTo(Tag) - Method in class org.randomcoder.tag.Tag
Compares this Tag to another Tag by name.
compareTo(Role) - Method in class org.randomcoder.user.Role
Compares this role to another role by description.
consume(Article) - Method in class org.randomcoder.article.ArticleEditCommand
Populates the form based on the supplied article
consume(T) - Method in interface org.randomcoder.io.Consumer
Reads information from the given object.
consume(Tag) - Method in class org.randomcoder.tag.TagEditCommand
 
consume(User) - Method in class org.randomcoder.user.UserEditCommand
 
Consumer<T> - Interface in org.randomcoder.io
Interface used to read state from arbitrary objects.
content - Variable in class org.randomcoder.article.ArticleAddCommand
Textual content.
contentFilter - Variable in class org.randomcoder.article.AbstractArticleListController
Content Filter.
contentFilter - Variable in class org.randomcoder.article.AbstractSingleArticleController
Content filter.
ContentFilter - Interface in org.randomcoder.content
Content filtering interface.
contentType - Variable in class org.randomcoder.article.ArticleAddCommand
Content type.
ContentType - Enum in org.randomcoder.content
Content type enumeration.
ContentUtils - Class in org.randomcoder.content
Utility methods for content formatting.
ContentUtils() - Constructor for class org.randomcoder.content.ContentUtils
 
count(Method, Object[]) - Method in interface org.randomcoder.dao.finder.FinderExecutor
Gets a count of objects
count(Method, Object[]) - Method in class org.randomcoder.dao.hibernate.HibernateDao
 
countAll() - Method in interface org.randomcoder.tag.TagDao
Counts all tags.
countAll() - Method in interface org.randomcoder.user.UserDao
Counts all User objects
countArticlesBeforeDate(PageCommand, Date) - Method in class org.randomcoder.article.AbstractArticleListController
Counts articles before a given cutoff date.
countArticlesBeforeDate(ArticleTagPageCommand, Date) - Method in class org.randomcoder.article.ArticleTagListController
 
countArticlesBeforeDate(ArticlePageCommand, Date) - Method in class org.randomcoder.article.HomeController
 
countBeforeDate(Date) - Method in interface org.randomcoder.article.ArticleDao
Counts all Article objects created before the specified date.
countByTagBeforeDate(Tag, Date) - Method in interface org.randomcoder.article.ArticleDao
Counts all Article objects created before the specified date.
COUNTRY - Static variable in class org.randomcoder.security.cardspace.CardSpaceAttributes
Country
CreatableDao<T,PK extends Serializable> - Interface in org.randomcoder.dao
DAO interface for creatable objects.
create(T) - Method in interface org.randomcoder.dao.CreatableDao
Create a new instance of <T>
create(T) - Method in class org.randomcoder.dao.hibernate.HibernateDao
 
createAccount(Producer<User>) - Method in interface org.randomcoder.user.UserBusiness
Creates a new account using a password.
createAccount(Producer<User>, Producer<CardSpaceToken>) - Method in interface org.randomcoder.user.UserBusiness
Creates a new account using CardSpace credentials.
createAccount(Producer<User>) - Method in class org.randomcoder.user.UserBusinessImpl
 
createAccount(Producer<User>, Producer<CardSpaceToken>) - Method in class org.randomcoder.user.UserBusinessImpl
 
createArticle(Producer<Article>, String) - Method in interface org.randomcoder.article.ArticleBusiness
Create a new article.
createArticle(Producer<Article>, String) - Method in class org.randomcoder.article.ArticleBusinessImpl
 
createComment(Producer<Comment>, Long, String, String, String, String) - Method in interface org.randomcoder.article.ArticleBusiness
Creates a new comment.
createComment(Producer<Comment>, Long, String, String, String, String) - Method in class org.randomcoder.article.ArticleBusinessImpl
 
createTag(Producer<Tag>) - Method in interface org.randomcoder.tag.TagBusiness
Create a new tag.
createTag(Producer<Tag>) - Method in class org.randomcoder.tag.TagBusinessImpl
 
createUser(Producer<User>) - Method in interface org.randomcoder.user.UserBusiness
Create a new user.
createUser(Producer<User>) - Method in class org.randomcoder.user.UserBusinessImpl
 
CrudDao<T,PK extends Serializable> - Interface in org.randomcoder.dao
Generic DAO which supports Create, Read, Update and Delete.

D

DataValidationUtils - Class in org.randomcoder.validation
Convenience methods to validate common data types.
DATE_OF_BIRTH - Static variable in class org.randomcoder.security.cardspace.CardSpaceAttributes
Date of Birth
decide(FilterInvocation, ConfigAttributeDefinition) - Method in class org.randomcoder.security.AnyChannelProcessor
Does nothing.
decrypt(byte[]) - Method in interface org.randomcoder.crypto.EncryptionContext
Decrypts the given data.
decrypt(byte[]) - Method in class org.randomcoder.crypto.TransientAESEncryptionContext
 
decrypt(Document, Element, PrivateKey) - Static method in class org.randomcoder.xml.security.XmlSecurityUtils
Decrypts the given EncryptedData element.
DEFAULT_BATCH_SIZE - Static variable in class org.randomcoder.article.moderation.ModeratorTimerTask
Default batch size.
DefaultFinderNamingStrategy - Class in org.randomcoder.dao.finder
Gets query names based on type and method called.
DefaultFinderNamingStrategy() - Constructor for class org.randomcoder.dao.finder.DefaultFinderNamingStrategy
 
defaultPageSize - Variable in class org.randomcoder.article.AbstractArticleListController
Default page size.
DeletableDao<T,PK extends Serializable> - Interface in org.randomcoder.dao
DAO interface for deletable objects.
delete(T) - Method in interface org.randomcoder.dao.DeletableDao
Deletes an object
delete(T) - Method in class org.randomcoder.dao.hibernate.HibernateDao
 
deleteArticle(String, Long) - Method in interface org.randomcoder.article.ArticleBusiness
Delete an article.
deleteArticle(String, Long) - Method in class org.randomcoder.article.ArticleBusinessImpl
 
deleteBefore(Date) - Method in interface org.randomcoder.security.cardspace.CardSpaceSeenTokenDaoBase
Deletes all seen CardSpace tokens before the given cutoff date.
deleteBefore(Date) - Method in class org.randomcoder.security.cardspace.CardSpaceSeenTokenDaoImpl
Deletes all tokens created before the cutoff date.
deleteCardSpaceToken(String, Long) - Method in interface org.randomcoder.user.UserBusiness
Deletes a CardSpace token.
deleteCardSpaceToken(String, Long) - Method in class org.randomcoder.user.UserBusinessImpl
 
deleteComment(Long) - Method in interface org.randomcoder.article.ArticleBusiness
Deletes a comment.
deleteComment(Long) - Method in class org.randomcoder.article.ArticleBusinessImpl
 
deleteTag(Long) - Method in interface org.randomcoder.tag.TagBusiness
Deletes the tag with the given id.
deleteTag(Long) - Method in class org.randomcoder.tag.TagBusinessImpl
 
deleteUser(Long) - Method in interface org.randomcoder.user.UserBusiness
Deletes a user.
deleteUser(Long) - Method in class org.randomcoder.user.UserBusinessImpl
 
DESCRIPTION_COMPARATOR - Static variable in class org.randomcoder.user.Role
Role Comparator (by description).
destroy() - Method in class org.randomcoder.article.moderation.AkismetModerator
Shuts down the Akismet filter.
destroy() - Method in class org.randomcoder.download.http.HttpRepository
Destroys the repository.
destroy() - Method in class org.randomcoder.download.maven.MavenRepository
Destroys the repository.
destroy() - Method in class org.randomcoder.security.DisableUrlSessionFilter
Unused.
DisableUrlSessionFilter - Class in org.randomcoder.security
Servlet filter which disables URL-encoded session identifiers.
DisableUrlSessionFilter() - Constructor for class org.randomcoder.security.DisableUrlSessionFilter
 
disapproveComment(Long) - Method in interface org.randomcoder.article.ArticleBusiness
Disapproves a comment.
disapproveComment(Long) - Method in class org.randomcoder.article.ArticleBusinessImpl
 
DISPLAY_NAME_COMPARATOR - Static variable in class org.randomcoder.tag.Tag
Tag Comparator (by display name).
doFilter(ServletRequest, ServletResponse, FilterChain) - Method in class org.randomcoder.security.DisableUrlSessionFilter
Filters requests to disable URL-based session identifiers.
DownloadCommand - Class in org.randomcoder.download
Command object which customizes the download page.
DownloadCommand() - Constructor for class org.randomcoder.download.DownloadCommand
 
DownloadController - Class in org.randomcoder.download
Controller which generates download links.
DownloadController() - Constructor for class org.randomcoder.download.DownloadController
 

E

EMAIL_ADDRESS - Static variable in class org.randomcoder.security.cardspace.CardSpaceAttributes
Email Address
encrypt(byte[]) - Method in interface org.randomcoder.crypto.EncryptionContext
Encrypts the given data.
encrypt(byte[]) - Method in class org.randomcoder.crypto.TransientAESEncryptionContext
 
EncryptedObjectPropertyEditor - Class in org.randomcoder.crypto
Property editor which supports converting to / from encrypted form.
EncryptedObjectPropertyEditor(EncryptionContext) - Constructor for class org.randomcoder.crypto.EncryptedObjectPropertyEditor
Creates a new property editor, using the given secret key context.
EncryptionContext - Interface in org.randomcoder.crypto
Generic interface for encrypting and decrypting arbitrary data.
EncryptionException - Exception in org.randomcoder.crypto
Exception thrown when encryption routines fail.
EncryptionException(String) - Constructor for exception org.randomcoder.crypto.EncryptionException
Creates a new exception with the given message.
EncryptionException(String, Throwable) - Constructor for exception org.randomcoder.crypto.EncryptionException
Creates a new exception with the given message and cause.
endDocument() - Method in class org.randomcoder.content.XHTMLReader
Marks the end of the current document.
endElement(String, String, String) - Method in class org.randomcoder.content.XHTMLReader
Marks the end of the current element.
endElement(String, String, String) - Method in class org.randomcoder.download.maven.MavenMetadataHandler
Handles element end events.
endPrefixMapping(String) - Method in class org.randomcoder.content.XHTMLReader
Ends the current prefix mapping.
EnumPropertyEditor - Class in org.randomcoder.springmvc
Enum property editor support.
EnumPropertyEditor(Class<? extends Enum>) - Constructor for class org.randomcoder.springmvc.EnumPropertyEditor
 
equals(Object) - Method in class org.randomcoder.article.comment.CommentIp
Determines if two CommentIp objects are equal.
equals(Object) - Method in class org.randomcoder.article.comment.CommentReferrer
Determines if two CommentReferrer objects are equal.
equals(Object) - Method in class org.randomcoder.article.comment.CommentUserAgent
Determines if two CommentUserAgent objects are equal.
equals(Object) - Method in class org.randomcoder.saml.SamlAttributeSpec
Determines if this SamlAttributeSpec is equal to another instance of this class.
equals(Object) - Method in class org.randomcoder.tag.Tag
Determines if two Tag objects are equal.
equals(Object) - Method in class org.randomcoder.user.Role
Determines if two Role objects are equal.
error(SAXParseException) - Method in class org.randomcoder.content.XHTMLErrorHandler
Handles SAX errors.
ERROR_ARTICLE_PERMALINK_EXISTS - Static variable in class org.randomcoder.article.ArticleAddValidator
Message resource for permalink exists message.
ERROR_ARTICLE_PERMALINK_EXISTS - Static variable in class org.randomcoder.article.comment.CommentValidator
Message resource for permalink exists message.
exposeHelpers(HttpServletRequest) - Method in class org.randomcoder.springmvc.JstlTemplateView
Adds the template map to the request attribute named by JstlTemplateView.setTemplateName(String).

F

fatalError(SAXParseException) - Method in class org.randomcoder.content.XHTMLErrorHandler
Handles SAX fatal errors.
FeedConfigurationException - Exception in org.randomcoder.feed
Feed exception thrown when configuration is invalid.
FeedConfigurationException() - Constructor for exception org.randomcoder.feed.FeedConfigurationException
Creates a new exception.
FeedConfigurationException(String) - Constructor for exception org.randomcoder.feed.FeedConfigurationException
Creates a new exception with the given message.
FeedConfigurationException(Throwable) - Constructor for exception org.randomcoder.feed.FeedConfigurationException
Creates a new exception with the given cause.
FeedConfigurationException(String, Throwable) - Constructor for exception org.randomcoder.feed.FeedConfigurationException
Creates a new exception with the given message and cause.
FeedException - Exception in org.randomcoder.feed
Superclass of exceptions thrown during feed generation.
FeedException() - Constructor for exception org.randomcoder.feed.FeedException
Creates a new exception.
FeedException(String) - Constructor for exception org.randomcoder.feed.FeedException
Creates a new exception with the given message.
FeedException(Throwable) - Constructor for exception org.randomcoder.feed.FeedException
Creates a new exception with the given cause.
FeedException(String, Throwable) - Constructor for exception org.randomcoder.feed.FeedException
Creates a new exception with the given message and cause.
FeedGenerator - Interface in org.randomcoder.feed
Feed generator interface.
FeedInfo - Class in org.randomcoder.feed
JavaBean which holds information about a syndicated feed.
FeedInfo() - Constructor for class org.randomcoder.feed.FeedInfo
Creates an uninitialized feed info object.
FeedInfo(String, String, URL, URL, String, List<Article>) - Constructor for class org.randomcoder.feed.FeedInfo
Creates a new feed info object.
FileSet - Class in org.randomcoder.download
JavaBean which holds details for a group of downloadable files.
FileSet() - Constructor for class org.randomcoder.download.FileSet
 
FileSpec - Class in org.randomcoder.download
JavaBean which holds details for a downloadable file.
FileSpec() - Constructor for class org.randomcoder.download.FileSpec
 
find(Method, Object[]) - Method in interface org.randomcoder.dao.finder.FinderExecutor
Find a single object
find(Method, Object[]) - Method in class org.randomcoder.dao.hibernate.HibernateDao
 
findByIpAddress(String) - Method in interface org.randomcoder.article.comment.CommentIpDao
Finds a given CommentIp by IP address.
findByKey(String, String, String) - Method in interface org.randomcoder.security.cardspace.CardSpaceSeenTokenDao
Looks up a seen CardSpace token by assertion id, ppid, and issuer hash.
findByName(String) - Method in interface org.randomcoder.article.comment.CommentUserAgentDao
Finds a given CommentUserAgent by name.
findByName(String) - Method in interface org.randomcoder.tag.TagDao
Finds a given Tag by name.
findByName(String) - Method in interface org.randomcoder.user.RoleDao
Finds a Role instance with the given name.
findByPermalink(String) - Method in interface org.randomcoder.article.ArticleDao
Loads an Article by its permalink
findByPrivatePersonalIdentifier(String, String) - Method in interface org.randomcoder.user.CardSpaceTokenDao
Finds a CardSpaceToken with the given ppid.
findByUri(String) - Method in interface org.randomcoder.article.comment.CommentReferrerDao
Finds a given CommentReferrer by uri.
findByUserName(String) - Method in interface org.randomcoder.user.UserDao
Finds a User with the given user name.
findByUserNameEnabled(String) - Method in interface org.randomcoder.user.UserDao
Finds an enabled User with the given user name.
FinderExecutor<T> - Interface in org.randomcoder.dao.finder
Interface to map custom DAO methods to named queries.
FinderIntroductionInterceptor - Class in org.randomcoder.dao.finder
Advisor used to supplement generic dao with type-specific query interfaces.
FinderIntroductionInterceptor() - Constructor for class org.randomcoder.dao.finder.FinderIntroductionInterceptor
 
FinderNamingStrategy - Interface in org.randomcoder.dao.finder
Interface used to choose a query to execute based on method and target type.
findFirstEncryptedData(Document) - Static method in class org.randomcoder.xml.security.XmlSecurityUtils
Finds the first EncryptedData element in the given document.
findFirstSamlAssertion(Document) - Static method in class org.randomcoder.saml.SamlUtils
Finds the first SAML Assertion element in the given document.
findFirstSignature(Document) - Static method in class org.randomcoder.xml.security.XmlSecurityUtils
Finds the first Signature element in the given document.
FIRST_NAME - Static variable in class org.randomcoder.security.cardspace.CardSpaceAttributes
First Name
format(String, URL, InputSource, ContentFilter, Result) - Static method in class org.randomcoder.content.ContentUtils
Format the given input source using the given filter into XHTML.
format(String, URL, InputSource, ContentFilter) - Static method in class org.randomcoder.content.ContentUtils
Format the given input source using the given filter into XHTML.
formatText(String, URL, ContentType, ContentFilter) - Static method in class org.randomcoder.content.ContentUtils
Format the given content to XHTML.
formatText(String, URL, ContentType, ContentFilter, Result) - Static method in class org.randomcoder.content.ContentUtils
Format the given content to XHTML.
formBackingObject(HttpServletRequest) - Method in class org.randomcoder.article.AbstractSingleArticleController
Creates a new CommentCommand bound to the requested article.

G

GENDER - Static variable in class org.randomcoder.security.cardspace.CardSpaceAttributes
Gender
generateFeed(FeedInfo) - Method in class org.randomcoder.feed.AtomFeedGenerator
 
generateFeed(FeedInfo) - Method in interface org.randomcoder.feed.FeedGenerator
Generates a feed from the given list of articles.
generateFeed(FeedInfo) - Method in class org.randomcoder.feed.Rss20FeedGenerator
 
getAltUrl() - Method in class org.randomcoder.feed.FeedInfo
Gets the alternate URL for this feed.
getAnonymousEmailAddress() - Method in class org.randomcoder.article.comment.Comment
Gets the email address for anonymous users.
getAnonymousEmailAddress() - Method in class org.randomcoder.article.comment.CommentCommand
Gets the anonymous email address of the comment poster.
getAnonymousUserName() - Method in class org.randomcoder.article.comment.Comment
Gets the user name to display for anonymous users.
getAnonymousUserName() - Method in class org.randomcoder.article.comment.CommentCommand
Get the anonymous name of the comment poster.
getAnonymousWebsite() - Method in class org.randomcoder.article.comment.Comment
Gets the web site for anonymous users.
getAnonymousWebsite() - Method in class org.randomcoder.article.comment.CommentCommand
Gets the anonymous website associated with this user.
getApplicationName() - Method in class org.randomcoder.about.ApplicationInformation
Gets the name of the application.
getApplicationVersion() - Method in class org.randomcoder.about.ApplicationInformation
Gets the version string of the application.
getAppPath(HttpServletRequest) - Method in class org.randomcoder.article.AbstractSingleArticleController
Gets the path of the current request relative to the context path.
getAppPath(HttpServletRequest) - Method in class org.randomcoder.feed.AbstractFeedController
Gets the path of the current request relative to the context path.
getArticle() - Method in class org.randomcoder.article.ArticleDecorator
Gets the wrapped article.
getArticle() - Method in class org.randomcoder.article.comment.Comment
Gets the article this comment belongs to.
getArticle() - Method in class org.randomcoder.article.comment.CommentCommand
Gets the article associated with this comment command
getArticleCount() - Method in class org.randomcoder.tag.TagStatistics
Gets the number of articles which this tag contains.
getArticles() - Method in class org.randomcoder.feed.FeedInfo
Gets the list of articles which should be rendered in this feed.
getArticles() - Method in class org.randomcoder.tag.Tag
Gets the articles which belong to this tag.
getArtifactId() - Method in class org.randomcoder.download.maven.MavenMetadataHandler
Gets the artifactId of this project.
getAssertionId() - Method in class org.randomcoder.saml.SamlAssertion
Gets the assertion ID associated with this assertion.
getAssertionId() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the assertion ID of these credentials.
getAssertionId() - Method in class org.randomcoder.security.cardspace.CardSpaceSeenToken
Gets the assertion id of this token.
getAsText() - Method in class org.randomcoder.crypto.EncryptedObjectPropertyEditor
Gets the value of the associated object as text.
getAsText() - Method in class org.randomcoder.springmvc.EnumPropertyEditor
Gets the value of the current Enum's name as a String.
getAsText() - Method in class org.randomcoder.tag.TagListPropertyEditor
Gets the value of the current tag list as a string
getAsText() - Method in class org.randomcoder.user.CardSpaceCredentialsPropertyEditor
This method always returns an empty string, as tokens cannot be reversed.
getAsText() - Method in class org.randomcoder.user.RolePropertyEditor
Gets the value of the associated object as a text string.
getAttributes() - Method in class org.randomcoder.saml.SamlAssertion
Gets a list of the SAML attributes associated with this assertion.
getAttributeSpec() - Method in class org.randomcoder.saml.SamlAttribute
Gets the attribute specification (namespace / local part) of this attribute.
getAuthorities() - Method in class org.randomcoder.security.userdetails.UserDetailsImpl
Gets a list of authorities granted to the current user.
getBaseDir() - Method in class org.randomcoder.download.http.LocalHttpProject
Gets the base directory of this repository.
getBaseName() - Method in class org.randomcoder.download.http.HttpProject
gets the base filename of artifacts found in this repository.
getBaseUrl() - Method in class org.randomcoder.download.http.HttpProject
Gets the base URL for this project.
getCardSpaceTokenSpec() - Method in class org.randomcoder.user.AccountCreateCommand
Gets the CardSpace token spec for this form.
getCause() - Method in exception org.randomcoder.crypto.EncryptionException
Gets the cause of this exception.
getCause() - Method in exception org.randomcoder.saml.SamlException
Gets the cause of this exception
getCause() - Method in exception org.randomcoder.security.cardspace.InvalidCredentialsException
Gets the underlying cause of this exception.
getCause() - Method in exception org.randomcoder.xml.security.XmlSecurityConfigurationException
Gets the cause of this exception.
getCause() - Method in exception org.randomcoder.xml.security.XmlSecurityException
Gets the cause of this exception.
getCertificate() - Method in class org.randomcoder.crypto.CertificateContext
Gets the X509Certificate.
getCity() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the city (locality) claimed by these credentials.
getClaims() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the claims associated with these credentials.
getColumnNumber() - Method in exception org.randomcoder.content.InvalidContentException
Gets the column number where the error occured.
getColumnNumber() - Method in class org.randomcoder.content.XHTMLErrorHandler
Gets the column number where processing failed.
getComment() - Method in class org.randomcoder.article.comment.CommentDecorator
Gets the comment wrapped by this decorator.
getCommentCheckUrl() - Method in class org.randomcoder.article.moderation.AkismetModerator
Gets the Akismet URL to use for comment checking.
getComments() - Method in class org.randomcoder.article.Article
Gets the list of comments for this article.
getComments() - Method in class org.randomcoder.article.ArticleDecorator
Gets the comments for this article;
getContent() - Method in class org.randomcoder.article.Article
Gets the textual content of this article.
getContent() - Method in class org.randomcoder.article.ArticleAddCommand
Gets the textual content of the article.
getContent() - Method in class org.randomcoder.article.comment.Comment
Gets the textual content of this comment.
getContent() - Method in class org.randomcoder.article.comment.CommentCommand
Gets the text of the comment.
getContentHandler() - Method in class org.randomcoder.xml.AbstractXMLReader
Gets the content handler defined for this reader.
getContentType() - Method in class org.randomcoder.article.Article
Gets the content type for this article.
getContentType() - Method in class org.randomcoder.article.ArticleAddCommand
Gets the content type of the article.
getContentType() - Method in class org.randomcoder.article.comment.Comment
Gets the content type for this comment.
getContentType() - Method in class org.randomcoder.feed.AtomFeedGenerator
 
getContentType() - Method in interface org.randomcoder.feed.FeedGenerator
Gets the content (mime) type of generated feeds.
getContentType() - Method in class org.randomcoder.feed.Rss20FeedGenerator
 
getCountry() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the country claimed by these credentials.
getCreatedByUser() - Method in class org.randomcoder.article.Article
Gets the User this article was created by.
getCreatedByUser() - Method in class org.randomcoder.article.comment.Comment
Gets the User this comment was created by.
getCreationDate() - Method in class org.randomcoder.article.Article
Gets the creation date of this article.
getCreationDate() - Method in class org.randomcoder.article.comment.Comment
Gets the creation date of this comment.
getCreationDate() - Method in class org.randomcoder.article.comment.CommentIp
Gets the creation date of this IP address.
getCreationDate() - Method in class org.randomcoder.article.comment.CommentReferrer
Gets the creation date of this referrer.
getCreationDate() - Method in class org.randomcoder.article.comment.CommentUserAgent
Gets the creation date of this user agent.
getCreationDate() - Method in class org.randomcoder.security.cardspace.CardSpaceSeenToken
Gets the creation date of this token
getCreationDate() - Method in class org.randomcoder.user.CardSpaceToken
Gets the creation date of this token
getCredentials() - Method in class org.randomcoder.security.cardspace.CardSpaceAuthenticationToken
Gets the credentials associated with this token.
getDateOfBirth() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the date of birth claimed by these credentials.
getDay() - Method in class org.randomcoder.article.ArticlePageCommand
Gets the day of month to display results for.
getDefaultFilterProcessesUrl() - Method in class org.randomcoder.security.cardspace.CardSpaceProcessingFilter
This filter by default responds to /j_acegi_cardspace_check
getDescription() - Method in enum org.randomcoder.content.ContentType
Get the human-readable description of this content type.
getDescription() - Method in class org.randomcoder.download.Package
Gets the description of this package.
getDescription() - Method in enum org.randomcoder.saml.SamlVersion
Gets the description of this SAML version.
getDescription() - Method in class org.randomcoder.user.Role
Gets the description of this role.
getDirectory() - Method in class org.randomcoder.download.maven.MavenProject
Gets the name of the directory within the repository where the project metadata can be found.
getDisplayName() - Method in class org.randomcoder.tag.Tag
Gets the display name of this tag.
getDisplayName() - Method in class org.randomcoder.tag.TagAddCommand
Gets the display name for this tag.
getDownloadLink() - Method in class org.randomcoder.download.FileSpec
Gets the URL where this file may be downloaded.
getDTDHandler() - Method in class org.randomcoder.xml.AbstractXMLReader
Gets the DTD handler for this reader.
getEmailAddress() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the email address claimed by these credentials.
getEmailAddress() - Method in class org.randomcoder.user.AccountCreateCommand
Gets the email address of this user.
getEmailAddress() - Method in class org.randomcoder.user.CardSpaceToken
Gets the email address for this token.
getEmailAddress() - Method in class org.randomcoder.user.User
Gets the email address of this user.
getEmailAddress() - Method in class org.randomcoder.user.UserAddCommand
Gets the email address of this user.
getEmailAddress() - Method in class org.randomcoder.user.UserProfileCommand
Gets the email address of this user.
getEntityResolver() - Method in class org.randomcoder.xml.AbstractXMLReader
Gets the entity resolver for this reader.
getErrorHandler() - Method in class org.randomcoder.xml.AbstractXMLReader
Gets the error handler for this reader.
getExpirationDate() - Method in class org.randomcoder.cardspace.CardSpaceTokenSpec
Gets the expiration date of this token.
getExtensionMappings() - Method in class org.randomcoder.download.http.HttpProject
Gets the mapping of file extensions to artifact types.
getExtensionMappings() - Method in class org.randomcoder.download.maven.MavenProject
Gets the mapping of file extensions to artifact types.
getFeature(String) - Method in class org.randomcoder.xml.AbstractXMLReader
Determines if this reader supports the given feature.
getFeed(HttpServletRequest, HttpServletResponse, String...) - Method in class org.randomcoder.feed.AbstractFeedController
Gets the information necessary to generate the feed.
getFeed(HttpServletRequest, HttpServletResponse, String...) - Method in class org.randomcoder.feed.AllFeedController
 
getFeedId() - Method in class org.randomcoder.feed.FeedInfo
Gets the unique identifier for this feed.
getFeedUrl() - Method in class org.randomcoder.feed.FeedInfo
Gets the URL of this feed.
getFileName() - Method in class org.randomcoder.download.FileSpec
Gets the name of this file (without path information).
getFiles() - Method in class org.randomcoder.download.FileSet
Gets the list of files associated with this file set.
getFileSets() - Method in class org.randomcoder.download.Package
Gets the list of file sets for this package.
getFileSize() - Method in class org.randomcoder.download.FileSpec
Gets the file size in bytes, or -1 if unknown.
getFileType() - Method in class org.randomcoder.download.FileSpec
Gets the type of this file.
getFirstName() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the first name claimed by these credentials.
getFormattedSummary() - Method in class org.randomcoder.article.ArticleDecorator
Gets article summary after applying filters and HTML escaping.
getFormattedText() - Method in class org.randomcoder.article.ArticleDecorator
Gets article content after applying filters and HTML escaping.
getFormattedText() - Method in class org.randomcoder.article.comment.CommentDecorator
Gets article content after applying filters and HTML escaping.
getFormType() - Method in class org.randomcoder.user.AccountCreateCommand
Gets the type of form (INFOCARD or PASS).
getFormType() - Method in class org.randomcoder.user.UserProfileCommand
Gets the type of form (currently PREFS or INFOCARD).
getGender() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the gender claimed by these credentials.
getGroupId() - Method in class org.randomcoder.download.maven.MavenMetadataHandler
Gets the groupId of this project.
getHomePhone() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the home phone number claimed by these credentials.
getId() - Method in class org.randomcoder.article.Article
Gets the id of this article.
getId() - Method in class org.randomcoder.article.ArticleEditCommand
Gets the id of the article to edit.
getId() - Method in class org.randomcoder.article.comment.Comment
Gets the ID for this comment.
getId() - Method in class org.randomcoder.article.comment.CommentIp
Gets the ID for this IP address.
getId() - Method in class org.randomcoder.article.comment.CommentReferrer
Gets the ID for this referrer.
getId() - Method in class org.randomcoder.article.comment.CommentUserAgent
Gets the ID for this user agent.
getId() - Method in class org.randomcoder.security.cardspace.CardSpaceSeenToken
Gets the id of this token.
getId() - Method in class org.randomcoder.springmvc.IdCommand
Gets the object id.
getId() - Method in class org.randomcoder.tag.Tag
Gets the id for this tag.
getId() - Method in class org.randomcoder.tag.TagEditCommand
Gets the id for this tag.
getId() - Method in class org.randomcoder.user.CardSpaceToken
Gets the id of this token.
getId() - Method in class org.randomcoder.user.Role
Gets the id of this role.
getId() - Method in class org.randomcoder.user.User
Gets the id of this user.
getId() - Method in class org.randomcoder.user.UserEditCommand
Gets the ID associated with this user.
getIpAddress() - Method in class org.randomcoder.article.comment.Comment
Gets the IP address of the user who posted this comment.
getIpAddress() - Method in class org.randomcoder.article.comment.CommentIp
Gets the remote IP address.
getIssueInstant() - Method in class org.randomcoder.saml.SamlAssertion
Gets the instant this assertion was issued.
getIssueInstant() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the issue instant of the credentials.
getIssuer() - Method in class org.randomcoder.saml.SamlAssertion
Gets the issuer of this assertion.
getIssuer() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the issuer of these credentials.
getIssuerHash() - Method in class org.randomcoder.cardspace.CardSpaceTokenSpec
Gets the hash of the issuer for this token.
getIssuerHash() - Method in class org.randomcoder.security.cardspace.CardSpaceSeenToken
Gets the SHA-1 hash of the Issuer's public key.
getIssuerHash() - Method in class org.randomcoder.user.CardSpaceToken
Gets the SHA-1 hash of the Issuer's public key.
getIssuerPublicKey() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the encoded public key of the issuer.
getLastLoginDate() - Method in class org.randomcoder.user.CardSpaceToken
Gets the last time this token was used for login.
getLastLoginDate() - Method in class org.randomcoder.user.User
Gets the last time this user logged in.
getLastModified() - Method in class org.randomcoder.download.FileSpec
Gets the last modified date of this file, or null if unknown.
getLastName() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the last name claimed by these credentials.
getLastUpdated() - Method in class org.randomcoder.download.maven.MavenMetadataHandler
Gets the tiem when this project was last updated.
getLimit() - Method in class org.randomcoder.article.ArticlePageCommand
Gets the number of items to display per page.
getLimit() - Method in class org.randomcoder.tag.TagListCommand
Gets the number of items to display per page.
getLimit() - Method in class org.randomcoder.user.UserListCommand
Gets the number of items to display per page.
getLineNumber() - Method in exception org.randomcoder.content.InvalidContentException
Gets the line number where the error occured.
getLineNumber() - Method in class org.randomcoder.content.XHTMLErrorHandler
Gets the line number where processing failed.
getLocal() - Method in class org.randomcoder.saml.SamlAttributeSpec
Gets the localname of this attribute.
getMd5Link() - Method in class org.randomcoder.download.FileSpec
Gets the URL where an MD5 checksum of this file may be located, or null if no MD5 checksum is available.
getMessage() - Method in exception org.randomcoder.article.ArticleNotFoundException
Gets the message (if any) associated with this exception.
getMessage() - Method in exception org.randomcoder.article.comment.CommentNotFoundException
Gets the message (if any) associated with this exception.
getMessage() - Method in exception org.randomcoder.content.InvalidContentException
Gets the message associated with this exception.
getMessage() - Method in class org.randomcoder.content.XHTMLErrorHandler
Gets the error message.
getMessage() - Method in exception org.randomcoder.crypto.EncryptionException
Gets the message from this exception.
getMessage() - Method in exception org.randomcoder.saml.SamlException
Gets the message from this exception.
getMessage() - Method in exception org.randomcoder.security.cardspace.InvalidCredentialsException
Gets the message associated with this exception.
getMessage() - Method in exception org.randomcoder.security.UnauthorizedException
Gets the message (if any) associated with this exception.
getMessage() - Method in exception org.randomcoder.tag.TagNotFoundException
Gets the message (if any) associated with this exception.
getMessage() - Method in exception org.randomcoder.user.RoleNotFoundException
Gets the message (if any) associated with this exception.
getMessage() - Method in exception org.randomcoder.user.UserNotFoundException
Gets the message (if any) associated with this exception.
getMessage() - Method in exception org.randomcoder.xml.security.XmlSecurityConfigurationException
Gets the message from this exception.
getMessage() - Method in exception org.randomcoder.xml.security.XmlSecurityException
Gets the message from this exception.
getMimeType() - Method in enum org.randomcoder.content.ContentType
Get the mime-type associated with this content type.
getMobilePhone() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the mobile phone number claimed by these credentials.
getModerationStatus() - Method in class org.randomcoder.article.comment.Comment
Gets the moderation status of this comment.
getModificationDate() - Method in class org.randomcoder.article.Article
Gets the modification date of this article.
getModifiedByUser() - Method in class org.randomcoder.article.Article
Gets the user who last modified this article.
getMonth() - Method in class org.randomcoder.article.ArticlePageCommand
Gets the month to display results for.
getName() - Method in enum org.randomcoder.article.moderation.ModerationStatus
Getter method to expose name as JavaBean property.
getName() - Method in enum org.randomcoder.content.ContentType
Getter for innate name() property
getName() - Method in class org.randomcoder.download.Package
Gets the name of this package.
getName() - Method in class org.randomcoder.tag.Tag
Gets the name of this tag.
getName() - Method in class org.randomcoder.tag.TagAddCommand
Gets the name for this tag.
getName() - Method in class org.randomcoder.user.Role
Gets the name of this role.
getNamespace() - Method in class org.randomcoder.saml.SamlAttributeSpec
Gets the namespace of this attribute.
getNotBefore() - Method in class org.randomcoder.saml.SamlAssertion
Gets the earliest date this assertion is valid.
getNotBefore() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the starting validity date of these credentials.
getNotOnOrAfter() - Method in class org.randomcoder.saml.SamlAssertion
Gets the expiration date of this assertion.
getNotOnOrAfter() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the expiration date of these credentials.
getObject() - Method in class org.randomcoder.about.ApplicationInformationFactoryBean
Gets an instance of the object from the factory.
getObject() - Method in class org.randomcoder.crypto.KeystoreCertificateFactoryBean
Gets an instance of the target object from this factory
getObjectType() - Method in class org.randomcoder.about.ApplicationInformationFactoryBean
Gets the class of the returned object.
getObjectType() - Method in class org.randomcoder.crypto.KeystoreCertificateFactoryBean
Gets the object type this factory returns.
getOldPassword() - Method in class org.randomcoder.user.ChangePasswordCommand
Gets the value of the old password.
getOrdinal() - Method in enum org.randomcoder.article.moderation.ModerationStatus
Getter method to expose ordinal as JavaBean property.
getOrdinal() - Method in enum org.randomcoder.content.ContentType
Getter for innate ordinal() property
getOtherPhone() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the "other" phone number claimed by these credentials.
getPackageName() - Method in class org.randomcoder.download.DownloadCommand
Gets the package name to restrict to.
getPackages() - Method in class org.randomcoder.download.AggregatePackageListProducer
Merges package lists from several different sources.
getPackages() - Method in class org.randomcoder.download.cache.CachingPackageListProducer
Gets a list of packages, possibly from a cache.
getPackages() - Method in class org.randomcoder.download.http.HttpRepository
Generates a list of packages from a Maven repository.
getPackages() - Method in class org.randomcoder.download.http.LocalHttpRepository
Generates a list of packages from a Maven repository.
getPackages() - Method in class org.randomcoder.download.maven.LocalMavenRepository
Generates a list of packages from a Maven repository.
getPackages() - Method in class org.randomcoder.download.maven.MavenRepository
Generates a list of packages from a Maven repository.
getPackages() - Method in interface org.randomcoder.download.PackageListProducer
Gets a list of downloadable packages.
getPassword() - Method in class org.randomcoder.security.userdetails.UserDetailsImpl
Gets the password for this user.
getPassword() - Method in class org.randomcoder.user.AccountCreateCommand
Gets the password associated with this user.
getPassword() - Method in class org.randomcoder.user.ChangePasswordCommand
Gets the new password.
getPassword() - Method in class org.randomcoder.user.User
Gets the password hash of this user.
getPassword() - Method in class org.randomcoder.user.UserAddCommand
Gets the password associated with this user.
getPassword2() - Method in class org.randomcoder.user.AccountCreateCommand
Gets the password for this user again for validation.
getPassword2() - Method in class org.randomcoder.user.ChangePasswordCommand
Gets the new password again for verification.
getPassword2() - Method in class org.randomcoder.user.UserAddCommand
Gets the password for this user again for validation.
getPermalink() - Method in class org.randomcoder.article.Article
Gets the permalink for this article.
getPermalink() - Method in class org.randomcoder.article.ArticleAddCommand
Gets the permalink for this article.
getPermalinkUrl() - Method in class org.randomcoder.article.Article
Builds a context-relative permalink for the selected article.
getPpid() - Method in class org.randomcoder.cardspace.CardSpaceTokenSpec
Gets the private personal identifier for this token.
getPrefix(String) - Method in interface org.randomcoder.content.ContentFilter
Gets the data to prepend to a content stream before processing.
getPrefix(String) - Method in class org.randomcoder.content.MultiContentFilter
 
getPrefix(String) - Method in class org.randomcoder.content.TextFilter
 
getPrefix(String) - Method in class org.randomcoder.content.XHTMLFilter
 
getPrincipal() - Method in class org.randomcoder.security.cardspace.CardSpaceAuthenticationToken
Gets the principal associated with this token.
getPrivateKey() - Method in class org.randomcoder.crypto.CertificateContext
Gets the private key associated with this certificate.
getPrivatePersonalIdentifier() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the PPID claimed by these credentials.
getPrivatePersonalIdentifier() - Method in class org.randomcoder.security.cardspace.CardSpaceSeenToken
Gets the private personal identifier of this token.
getPrivatePersonalIdentifier() - Method in class org.randomcoder.user.CardSpaceToken
Gets the private personal identifier of this token.
getProjectDescription() - Method in class org.randomcoder.download.http.HttpProject
Gets the description of this project.
getProjectDescription() - Method in class org.randomcoder.download.maven.MavenProject
Gets the description of the project.
getProjectName() - Method in class org.randomcoder.download.http.HttpProject
Gets the name of this project.
getProjectName() - Method in class org.randomcoder.download.maven.MavenProject
Gets the name of the project.
getProperty(String) - Method in class org.randomcoder.xml.AbstractXMLReader
Gets the value of the named property.
getReceivedInstant() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the date and time when this token was received.
getReferrer() - Method in class org.randomcoder.article.comment.Comment
Gets the HTTP referrer sent when this comment was posted.
getReferrerUri() - Method in class org.randomcoder.article.comment.CommentReferrer
Gets the URI sent as the HTTP referrer.
getRoles() - Method in class org.randomcoder.user.User
Gets the roles which this user belongs to.
getRoles() - Method in class org.randomcoder.user.UserAddCommand
Gets the roles associated with this user.
getScale() - Method in class org.randomcoder.tag.TagCloudEntry
Gets the scale factor (0-9) for this tag.
getSession() - Method in class org.randomcoder.dao.hibernate.HibernateDao
Gets the current Hibernate session from the session factory.
getSha1Link() - Method in class org.randomcoder.download.FileSpec
Gets the URL where an SHA-1 checksum of this file may be located, or null if no SHA-1 checksum is available.
getStart() - Method in class org.randomcoder.article.ArticlePageCommand
Gets the starting item number to display.
getStart() - Method in class org.randomcoder.tag.TagListCommand
Gets the starting item number to display.
getStart() - Method in class org.randomcoder.user.UserListCommand
Gets the starting item number to display.
getState() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the state or province claimed by these credentials.
getStreet() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the street address claimed by these credentials.
getSubmitHamUrl() - Method in class org.randomcoder.article.moderation.AkismetModerator
Gets the Akismet URL to use for ham submission.
getSubmitSpamUrl() - Method in class org.randomcoder.article.moderation.AkismetModerator
Gets the Akismet URL to use for spam submission.
getSubTitle(PageCommand) - Method in class org.randomcoder.article.AbstractArticleListController
Gets the subtitle to add to the page.
getSubTitle(ArticleTagPageCommand) - Method in class org.randomcoder.article.ArticleTagListController
 
getSubTitle(ArticlePageCommand) - Method in class org.randomcoder.article.HomeController
 
getSubtitle() - Method in class org.randomcoder.feed.FeedInfo
Gets the subtitle of this article, or null if none should be used.
getSuffix(String) - Method in interface org.randomcoder.content.ContentFilter
Gets the data to append to a content stream before processing.
getSuffix(String) - Method in class org.randomcoder.content.MultiContentFilter
 
getSuffix(String) - Method in class org.randomcoder.content.TextFilter
 
getSuffix(String) - Method in class org.randomcoder.content.XHTMLFilter
 
getSummary() - Method in class org.randomcoder.article.Article
Gets the summary text for this article.
getSummary() - Method in class org.randomcoder.article.ArticleAddCommand
Gets the summary text for this article.
getTag() - Method in class org.randomcoder.article.ArticleTagPageCommand
Gets the tag associated with this command.
getTag() - Method in class org.randomcoder.tag.TagStatistics
Gets the tag to which statistics apply.
getTagCloud() - Method in interface org.randomcoder.tag.TagBusiness
Gets a list of TagCloudEntry objects to produce a tag cloud.
getTagCloud() - Method in class org.randomcoder.tag.TagBusinessImpl
 
getTags() - Method in class org.randomcoder.article.Article
Gets the tags associated with this article.
getTags() - Method in class org.randomcoder.article.ArticleAddCommand
Gets the tags for this article.
getTags() - Method in class org.randomcoder.tag.TagList
Getter for tags property.
getTemplateName() - Method in class org.randomcoder.springmvc.JstlTemplateView
Gets the request attribute to store the template map under.
getTitle() - Method in class org.randomcoder.article.Article
Gets the title of this article.
getTitle() - Method in class org.randomcoder.article.ArticleAddCommand
Gets the title of the article.
getTitle() - Method in class org.randomcoder.article.comment.Comment
Gets the title of this comment.
getTitle() - Method in class org.randomcoder.article.comment.CommentCommand
Gets the title of this comment.
getTitle() - Method in class org.randomcoder.feed.FeedInfo
Gets the title of this article.
getTransformer(boolean, String, String, Source) - Static method in class org.randomcoder.xml.XmlUtils
Gets a Transformer object suitable for writing DOM objects.
getUrl() - Method in class org.randomcoder.security.RedirectCommand
Gets the url to redirect to.
getUrl() - Method in class org.randomcoder.springmvc.JstlTemplateView
Gets the URL associated with this view.
getUser() - Method in class org.randomcoder.user.CardSpaceToken
Gets the user this token belongs to.
getUser() - Method in class org.randomcoder.user.ChangePasswordCommand
Gets the user associated with this request.
getUserAgent() - Method in class org.randomcoder.article.comment.Comment
Gets the HTTP user agent of the user who posted this comment.
getUserAgentName() - Method in class org.randomcoder.article.comment.CommentUserAgent
Gets the user agent name.
getUsername() - Method in class org.randomcoder.security.userdetails.UserDetailsImpl
Gets the username for this user.
getUserName() - Method in class org.randomcoder.user.AccountCreateCommand
Gets the username of this user.
getUserName() - Method in class org.randomcoder.user.User
Gets the user name of this user.
getUserName() - Method in class org.randomcoder.user.UserAddCommand
Gets the username of this user.
getValue() - Method in class org.randomcoder.saml.SamlAttribute
Gets the value of this attribute.
getVerifyKeyUrl() - Method in class org.randomcoder.article.moderation.AkismetModerator
Gets the Akismet URL to use for account verification.
getVersion() - Method in class org.randomcoder.download.FileSet
Gets the version for this group of files.
getVersion() - Method in class org.randomcoder.saml.SamlAssertion
Gets the version of this assertion.
getVersion() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the SAML version used to build these credentials.
getVersions() - Method in class org.randomcoder.download.http.HttpProject
Gets a list of versions to query.
getVersions() - Method in class org.randomcoder.download.maven.MavenMetadataHandler
Gets a list of versions available for this project.
getWebPage() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the web page claimed by these credentials.
getWebsite() - Method in class org.randomcoder.user.AccountCreateCommand
Gets the website for this user.
getWebsite() - Method in class org.randomcoder.user.User
Gets the web site of this user.
getWebsite() - Method in class org.randomcoder.user.UserAddCommand
Gets the website for this user.
getWebsite() - Method in class org.randomcoder.user.UserProfileCommand
Gets the website for this user.
getXMLReader(URL, String) - Method in interface org.randomcoder.content.ContentFilter
Gets an XML reader suitable for the given content type.
getXMLReader(URL, String) - Method in class org.randomcoder.content.MultiContentFilter
 
getXMLReader(URL, String) - Method in class org.randomcoder.content.TextFilter
 
getXMLReader(URL, String) - Method in class org.randomcoder.content.XHTMLFilter
 
getXmlToken() - Method in class org.randomcoder.user.AccountCreateCommand
Gets the CardSpaceCredentials posted to this form.
getXmlToken() - Method in class org.randomcoder.user.UserProfileCommand
Gets the CardSpaceCredentials posted to this form.
getXSLTemplates(String) - Method in interface org.randomcoder.content.ContentFilter
Gets XSL templates for the given content type.
getXSLTemplates(String) - Method in class org.randomcoder.content.MultiContentFilter
 
getXSLTemplates(String) - Method in class org.randomcoder.content.TextFilter
 
getXSLTemplates(String) - Method in class org.randomcoder.content.XHTMLFilter
 
getYear() - Method in class org.randomcoder.article.ArticlePageCommand
Gets the year to display results for.
getZip() - Method in class org.randomcoder.security.cardspace.CardSpaceCredentials
Gets the ZIP code or postal code for these credentials.

H

handle(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.article.AbstractArticleListController
Populates the model.
handle(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.article.ArticleDeleteController
Deletes the selected article.
handle(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.article.comment.AbstractCommentStatusController
Updates the selected comment, and redirects back to permalink page for the associated article.
handle(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.download.DownloadController
Generates a list of packages and forwards to the default view.
handle(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.security.RedirectController
 
handle(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.tag.TagDeleteController
Deletes the selected tag.
handle(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.tag.TagListController
Handles accesses to the tag list page.
handle(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.user.UserDeleteController
Deletes the selected user.
handle(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.user.UserListController
Handles user list requests.
handle(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.user.UserProfileCardSpaceDeleteController
Deletes the selected cardspace login.
handleRequestInternal(HttpServletRequest, HttpServletResponse) - Method in class org.randomcoder.feed.AbstractFeedController
 
hashCode() - Method in class org.randomcoder.article.comment.CommentIp
Gets the hash code of this IP address.
hashCode() - Method in class org.randomcoder.article.comment.CommentReferrer
Gets the hash code of this referrer.
hashCode() - Method in class org.randomcoder.article.comment.CommentUserAgent
Gets the hash code of this user agent.
hashCode() - Method in class org.randomcoder.saml.SamlAttributeSpec
Calculates a hash code.
hashCode() - Method in class org.randomcoder.tag.Tag
Gets the hash code of this tag.
hashCode() - Method in class org.randomcoder.user.Role
Gets the hash code of this role.
hashPassword(String) - Static method in class org.randomcoder.user.User
Hashes a password.
HibernateDao<T,PK extends Serializable> - Class in org.randomcoder.dao.hibernate
Hibernate implementation of CrudDao.
HibernateDao(Class<T>) - Constructor for class org.randomcoder.dao.hibernate.HibernateDao
 
HOME_PHONE - Static variable in class org.randomcoder.security.cardspace.CardSpaceAttributes
Home Phone
HomeController - Class in org.randomcoder.article
Controller class which handles the front page of the site.
HomeController() - Constructor for class org.randomcoder.article.HomeController
 
HttpProject - Class in org.randomcoder.download.http
HTTP project definition.
HttpProject() - Constructor for class org.randomcoder.download.http.HttpProject
 
HttpRepository - Class in org.randomcoder.download.http
HTTP repository parser.
HttpRepository() - Constructor for class org.randomcoder.download.http.HttpRepository
 

I

IdCommand - Class in org.randomcoder.springmvc
Command class used whenever only an id is required.
IdCommand() - Constructor for class org.randomcoder.springmvc.IdCommand
 
ignorableWhitespace(char[], int, int) - Method in class org.randomcoder.content.XHTMLReader
Processes ignorable whitespace.
implementsInterface(Class) - Method in class org.randomcoder.dao.finder.FinderIntroductionInterceptor
Determines if this interceptor implements the given interface.
init(FilterConfig) - Method in class org.randomcoder.security.DisableUrlSessionFilter
Unused.
initBinder(HttpServletRequest, ServletRequestDataBinder) - Method in class org.randomcoder.article.AbstractArticleController
Associates custom property editors with form objects.
initBinder(HttpServletRequest, ServletRequestDataBinder) - Method in class org.randomcoder.user.AbstractUserController
Associates custom property editors with form objects.
initBinder(HttpServletRequest, ServletRequestDataBinder) - Method in class org.randomcoder.user.AccountCreateController
Binds custom property editors.
initBinder(HttpServletRequest, ServletRequestDataBinder) - Method in class org.randomcoder.user.UserProfileController
Initializes form with custom property editors.
InvalidContentException - Exception in org.randomcoder.content
Exception thrown when invalid content is encountered.
InvalidContentException(String, int, int) - Constructor for exception org.randomcoder.content.InvalidContentException
Constructs a new exception.
InvalidContentTypeException - Exception in org.randomcoder.content
Exception thrown when an unhandled content type is encountered.
InvalidContentTypeException(String) - Constructor for exception org.randomcoder.content.InvalidContentTypeException
Constructs a new exception.
InvalidCredentialsException - Exception in org.randomcoder.security.cardspace
Exception thrown due to invalid / missing CardSpace credentials.
InvalidCredentialsException(String) - Constructor for exception org.randomcoder.security.cardspace.InvalidCredentialsException
Creates a new exception with the given message.
InvalidCredentialsException(String, Throwable) - Constructor for exception org.randomcoder.security.cardspace.InvalidCredentialsException
Creates a new exception with the given message and cause.
invoke(MethodInvocation) - Method in class org.randomcoder.dao.finder.FinderIntroductionInterceptor
Invokes the given method.
isAccountNonExpired() - Method in class org.randomcoder.security.userdetails.UserDetailsImpl
Always returns true because randomcoder.org users do not expire.
isAccountNonLocked() - Method in class org.randomcoder.security.userdetails.UserDetailsImpl
Always returns true because randomcoder.org users are not locked.
isAnonymous() - Method in class org.randomcoder.article.comment.CommentCommand
Determines if this comment is anonymous or not.
isCredentialsNonExpired() - Method in class org.randomcoder.security.userdetails.UserDetailsImpl
Always returns true because randomcoder.org credentials do not expire.
isEnabled() - Method in class org.randomcoder.security.userdetails.UserDetailsImpl
Determines if the current user is enabled.
isEnabled() - Method in class org.randomcoder.user.User
Determines if this user is enabled.
isEnabled() - Method in class org.randomcoder.user.UserAddCommand
Determines if this user is enabled.
isFormComplete() - Method in class org.randomcoder.user.AccountCreateCommand
Gets form complete status.
isShowAll() - Method in class org.randomcoder.download.DownloadCommand
Determines if all package versions should be shown.
isSingleton() - Method in class org.randomcoder.about.ApplicationInformationFactoryBean
Determines if the returned object is a singleton.
isSingleton() - Method in class org.randomcoder.crypto.KeystoreCertificateFactoryBean
Determines if this factory returns a singleton or not.
isSummaryPresent() - Method in class org.randomcoder.article.ArticleDecorator
Determines if a summary is present for this article.
isValidDomainName(String) - Static method in class org.randomcoder.validation.DataValidationUtils
Determines whether a domain name is valid or not.
isValidDomainWildcard(String) - Static method in class org.randomcoder.validation.DataValidationUtils
Determines if the given string matches a domain name wildcard.
isValidEmailAddress(String) - Static method in class org.randomcoder.validation.DataValidationUtils
Validates email addresses according to RFC2822.
isValidEmailAddress(String, boolean, boolean, boolean) - Static method in class org.randomcoder.validation.DataValidationUtils
Validates email addresses according to RFC2822.
isValidIpAddress(String) - Static method in class org.randomcoder.validation.DataValidationUtils
Determines if a specified IP address is valid.
isValidLocalEmailAccount(String) - Static method in class org.randomcoder.validation.DataValidationUtils
Validates local email account names.
isValidUrl(String) - Static method in class org.randomcoder.validation.DataValidationUtils
Determines if a specified URL is valid.
isValidUrl(String, String...) - Static method in class org.randomcoder.validation.DataValidationUtils
Determines if a specified URL is valid.
isVisible() - Method in class org.randomcoder.article.comment.Comment
Determines if this comment is visible.
iterate(Method, Object[]) - Method in interface org.randomcoder.dao.finder.FinderExecutor
Get an iterator of objects
iterate(Method, Object[], int, int) - Method in interface org.randomcoder.dao.finder.FinderExecutor
Get an iterator of objects
iterate(Method, Object[]) - Method in class org.randomcoder.dao.hibernate.HibernateDao
 
iterate(Method, Object[], int, int) - Method in class org.randomcoder.dao.hibernate.HibernateDao
 
iterateByTag(Tag) - Method in interface org.randomcoder.article.ArticleDao
Iterates Article objects with the given tag.
iterateForModerationInRange(int, int) - Method in interface org.randomcoder.article.comment.CommentDao
Iterates through all comments which are available to be moderated.

J

JstlTemplateView - Class in org.randomcoder.springmvc
Custom JSTL-based template view.
JstlTemplateView() - Constructor for class org.randomcoder.springmvc.JstlTemplateView
 

K

KeystoreCertificateFactoryBean - Class in org.randomcoder.crypto
Spring FactoryBean which produces CertificateContext objects from keystores.
KeystoreCertificateFactoryBean() - Constructor for class org.randomcoder.crypto.KeystoreCertificateFactoryBean
 

L

LAST_NAME - Static variable in class org.randomcoder.security.cardspace.CardSpaceAttributes
Last Name
list(Method, Object[]) - Method in interface org.randomcoder.dao.finder.FinderExecutor
Get a list of objects
list(Method, Object[], int, int) - Method in interface org.randomcoder.dao.finder.FinderExecutor
Get a list of objects
list(Method, Object[]) - Method in class org.randomcoder.dao.hibernate.HibernateDao
 
list(Method, Object[], int, int) - Method in class org.randomcoder.dao.hibernate.HibernateDao
 
listAll() - Method in interface org.randomcoder.tag.TagDao
Lists all Tag objects, sorted by displayName.
listAll() - Method in interface org.randomcoder.user.RoleDao
Lists all roles, ordered by name.
listAll() - Method in interface org.randomcoder.user.UserDao
Lists all User objects, ordered by user name.
listAllInRange(int, int) - Method in interface org.randomcoder.article.ArticleDao
Lists Article objects within the range specified.
listAllInRange(int, int) - Method in interface org.randomcoder.tag.TagDao
Lists all Tag objects in range, sorted by displayName.
listAllInRange(int, int) - Method in interface org.randomcoder.user.UserDao
Lists all User objects in range, ordered by user name.
listArticlesBeforeDateInRange(PageCommand, Date, int, int) - Method in class org.randomcoder.article.AbstractArticleListController
Lists articles before a given cutoff date.
listArticlesBeforeDateInRange(ArticleTagPageCommand, Date, int, int) - Method in class org.randomcoder.article.ArticleTagListController
 
listArticlesBeforeDateInRange(ArticlePageCommand, Date, int, int) - Method in class org.randomcoder.article.HomeController
 
listArticlesBetweenDates(PageCommand, Date, Date) - Method in class org.randomcoder.article.AbstractArticleListController
Lists articles between start and end dates.
listArticlesBetweenDates(ArticleTagPageCommand, Date, Date) - Method in class org.randomcoder.article.ArticleTagListController
 
listArticlesBetweenDates(ArticlePageCommand, Date, Date) - Method in class org.randomcoder.article.HomeController
 
listBeforeDateInRange(Date, int, int) - Method in interface org.randomcoder.article.ArticleDao
Lists Article objects created before the specified date and within the range specified.
listBetweenDates(Date, Date) - Method in interface org.randomcoder.article.ArticleDao
Lists Article objects created within the specified date range.
listByTag(Tag) - Method in interface org.randomcoder.article.ArticleDao
Lists Article objects with the given tag.
listByTagBeforeDateInRange(Tag, Date, int, int) - Method in interface org.randomcoder.article.ArticleDao
Lists Article objects created before the specified date and within the range specified.
listByTagBetweenDates(Tag, Date, Date) - Method in interface org.randomcoder.article.ArticleDao
Lists Article objects created within the specified date range.
listByUser(User) - Method in interface org.randomcoder.user.CardSpaceTokenDao
Lists all CardSpaceToken objects for the given user by last login date.
listEnabled() - Method in interface org.randomcoder.user.UserDao
Lists all enabled User objects, ordered by user name.
loadArticle(HttpServletRequest) - Method in class org.randomcoder.article.AbstractSingleArticleController
Loads the article associated with this request.
loadArticle(HttpServletRequest) - Method in class org.randomcoder.article.ArticleIdController
 
loadArticle(HttpServletRequest) - Method in class org.randomcoder.article.ArticlePermalinkController
 
loadArticleForEditing(Consumer<Article>, Long, String) - Method in interface org.randomcoder.article.ArticleBusiness
Load an existing article for editing.
loadArticleForEditing(Consumer<Article>, Long, String) - Method in class org.randomcoder.article.ArticleBusinessImpl
 
loadTagForEditing(Consumer<Tag>, Long) - Method in interface org.randomcoder.tag.TagBusiness
Loads a tag for editing.
loadTagForEditing(Consumer<Tag>, Long) - Method in class org.randomcoder.tag.TagBusinessImpl
 
loadUserByCardSpaceCredentials(CardSpaceCredentials) - Method in interface org.randomcoder.security.cardspace.CardSpaceUserDetailsService
Obtains the granted authorities for the specified user.
loadUserByCardSpaceCredentials(CardSpaceCredentials) - Method in class org.randomcoder.security.userdetails.UserDetailsServiceImpl
Retrieves the user with the given CardSpace credentials.
loadUserByUsername(String) - Method in class org.randomcoder.security.userdetails.UserDetailsServiceImpl
Retrieves the user with the given username.
loadUserForEditing(Consumer<User>, Long) - Method in interface org.randomcoder.user.UserBusiness
Loads a user for editing.
loadUserForEditing(Consumer<User>, Long) - Method in class org.randomcoder.user.UserBusinessImpl
 
LocalHttpProject - Class in org.randomcoder.download.http
HTTP project definition read from local files.
LocalHttpProject() - Constructor for class org.randomcoder.download.http.LocalHttpProject
 
LocalHttpRepository - Class in org.randomcoder.download.http
HTTP repository parser which reads from local files.
LocalHttpRepository() - Constructor for class org.randomcoder.download.http.LocalHttpRepository
 
LocalMavenRepository - Class in org.randomcoder.download.maven
Maven repository parser which reads local files.
LocalMavenRepository() - Constructor for class org.randomcoder.download.maven.LocalMavenRepository
 
logger - Static variable in class org.randomcoder.content.XHTMLFilter
Apache logger.
logout(HttpServletRequest, HttpServletResponse, Authentication) - Method in class org.randomcoder.security.NullLogoutHandler
Logs out the current user.
logXml(Log, Document) - Static method in class org.randomcoder.xml.XmlUtils
Log XML to the given log object.
logXml(Log, Document, String, String) - Static method in class org.randomcoder.xml.XmlUtils
Log XML to the given log object.
logXml(Log, String, Document) - Static method in class org.randomcoder.xml.XmlUtils
Log XML to the given log object.
logXml(Log, String, Document, String, String) - Static method in class org.randomcoder.xml.XmlUtils
Log XML to the given log object.

M

mark(int) - Method in class org.randomcoder.io.SequenceReader
Marks the position in the current stream.
markAsHam(Comment) - Method in class org.randomcoder.article.moderation.AkismetModerator
 
markAsHam(Comment) - Method in interface org.randomcoder.article.moderation.Moderator
Marks the given comment as ham (non-spam).
markAsSpam(Comment) - Method in class org.randomcoder.article.moderation.AkismetModerator
 
markAsSpam(Comment) - Method in interface org.randomcoder.article.moderation.Moderator
Marks the given comment as spam.
markSupported() - Method in class org.randomcoder.io.SequenceReader
Determines if mark is supported.
MavenMetadataHandler - Class in org.randomcoder.download.maven
ContentHandler which parses maven metadata.
MavenMetadataHandler() - Constructor for class org.randomcoder.download.maven.MavenMetadataHandler
 
MavenProject - Class in org.randomcoder.download.maven
Maven project definition.
MavenProject() - Constructor for class org.randomcoder.download.maven.MavenProject
 
MavenRepository - Class in org.randomcoder.download.maven
Maven repository parser.
MavenRepository() - Constructor for class org.randomcoder.download.maven.MavenRepository
 
maximumPageSize - Variable in class org.randomcoder.article.AbstractArticleListController
Maximum page size.
maximumSummaryLength - Variable in class org.randomcoder.article.ArticleAddValidator
Maximum summary length.
MOBILE_PHONE - Static variable in class org.randomcoder.security.cardspace.CardSpaceAttributes
Mobile Phone
moderateComments(int) - Method in interface org.randomcoder.article.ArticleBusiness
Moderate a batch of comments.
moderateComments(int) - Method in class org.randomcoder.article.ArticleBusinessImpl
 
ModerationException - Exception in org.randomcoder.article.moderation
Exception thrown if moderation fails.
ModerationException() - Constructor for exception org.randomcoder.article.moderation.ModerationException
Creates a new ModerationException.
ModerationException(String, Throwable) - Constructor for exception org.randomcoder.article.moderation.ModerationException
Creates a new ModerationException using the given message and cause.
ModerationException(String) - Constructor for exception org.randomcoder.article.moderation.ModerationException
Creates a new ModerationException using the given message.
ModerationException(Throwable) - Constructor for exception org.randomcoder.article.moderation.ModerationException
Creates a new ModerationException using the given cause.
ModerationStatus - Enum in org.randomcoder.article.moderation
Moderation status enumeration.
Moderator - Interface in org.randomcoder.article.moderation
Interface for generic moderator plugins.
ModeratorTimerTask - Class in org.randomcoder.article.moderation
Timer task which handles periodic comment moderation.
ModeratorTimerTask() - Constructor for class org.randomcoder.article.moderation.ModeratorTimerTask
 
MultiContentFilter - Class in org.randomcoder.content
Content filter wrapper which maps content types onto concrete filter implementations.
MultiContentFilter() - Constructor for class org.randomcoder.content.MultiContentFilter
 

N

NAME_COMPARATOR - Static variable in class org.randomcoder.tag.Tag
Tag Comparator (by name).
NAME_COMPARATOR - Static variable in class org.randomcoder.user.Role
Role Comparator (by name).
notationDecl(String, String, String) - Method in class org.randomcoder.content.XHTMLReader
Processes a notation declaration.
NullLogoutHandler - Class in org.randomcoder.security
LogoutHandler which forces an Authentication object to be present when none is specified.
NullLogoutHandler() - Constructor for class org.randomcoder.security.NullLogoutHandler
 

O

onApplicationEvent(ApplicationEvent) - Method in class org.randomcoder.security.AuthenticationAuditListener
Handles an application event.
onBind(HttpServletRequest, Object) - Method in class org.randomcoder.article.ArticleTagListController
Binds additional parameters to command
onBind(HttpServletRequest, Object) - Method in class org.randomcoder.user.ChangePasswordController
Binds the current user to the given command.
onBindOnNewForm(HttpServletRequest, Object, BindException) - Method in class org.randomcoder.article.ArticleEditController
Pre-populates form on new request and checks permissions.
onBindOnNewForm(HttpServletRequest, Object, BindException) - Method in class org.randomcoder.tag.TagEditController
Pre-populates form on new request and checks permissions.
onBindOnNewForm(HttpServletRequest, Object) - Method in class org.randomcoder.user.UserAddController
Sets default values for the form.
onBindOnNewForm(HttpServletRequest, Object, BindException) - Method in class org.randomcoder.user.UserEditController
Pre-populates form on new request and checks permissions.
onBindOnNewForm(HttpServletRequest, Object, BindException) - Method in class org.randomcoder.user.UserProfileController
Pre-populates form on new request.
onSubmit(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.article.AbstractSingleArticleController
Creates a comment upon form submission.
onSubmit(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.article.ArticleAddController
Creates a new article based on form submission.
onSubmit(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.article.ArticleEditController
Modifies the selected article on form submission.
onSubmit(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.tag.TagAddController
Creates a new tag based on form submission.
onSubmit(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.tag.TagEditController
Modifies the selected tag on form submission.
onSubmit(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.user.AccountCreateController
Creates a new account based on form submission.
onSubmit(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.user.ChangePasswordController
Handles form submissions.
onSubmit(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.user.UserAddController
Creates a new user based on form submission.
onSubmit(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.user.UserEditController
Modifies the selected user on form submission.
onSubmit(HttpServletRequest, HttpServletResponse, Object, BindException) - Method in class org.randomcoder.user.UserProfileController
Associates the supplied CardSpace token with the current user.
org.randomcoder.about - package org.randomcoder.about
Classes to retrieve application information.
org.randomcoder.article - package org.randomcoder.article
Article management classes.
org.randomcoder.article.comment - package org.randomcoder.article.comment
Article commenting classes.
org.randomcoder.article.moderation - package org.randomcoder.article.moderation
Article moderation classes.
org.randomcoder.cardspace - package org.randomcoder.cardspace
CardSpace helper classes.
org.randomcoder.content - package org.randomcoder.content
Content filtering support classes.
org.randomcoder.crypto - package org.randomcoder.crypto
Cryptography support classes.
org.randomcoder.dao - package org.randomcoder.dao
Data access support classes.
org.randomcoder.dao.finder - package org.randomcoder.dao.finder
Generic DAO helper classes.
org.randomcoder.dao.hibernate - package org.randomcoder.dao.hibernate
Hibernate-specific DAO classes.
org.randomcoder.download - package org.randomcoder.download
Classes used to handle downloadable files.
org.randomcoder.download.cache - package org.randomcoder.download.cache
Support classes for caching package lists.
org.randomcoder.download.http - package org.randomcoder.download.http
HTTP repository browser classes.
org.randomcoder.download.maven - package org.randomcoder.download.maven
Maven repository browser classes.
org.randomcoder.feed - package org.randomcoder.feed
News feeds and syndication.
org.randomcoder.io - package org.randomcoder.io
I/O support classes.
org.randomcoder.saml - package org.randomcoder.saml
SAML processing classes.
org.randomcoder.security - package org.randomcoder.security
Support classes for authentication and authorization.
org.randomcoder.security.cardspace - package org.randomcoder.security.cardspace
CardSpace authentication classes.
org.randomcoder.security.userdetails - package org.randomcoder.security.userdetails
Acegi UserDetails implementation and support classes.
org.randomcoder.springmvc - package org.randomcoder.springmvc
Spring MVC support classes.
org.randomcoder.tag - package org.randomcoder.tag
Tag-management classes.
org.randomcoder.user - package org.randomcoder.user
User-management classes.
org.randomcoder.validation - package org.randomcoder.validation
Validation support classes.
org.randomcoder.xml - package org.randomcoder.xml
XML support classes.
org.randomcoder.xml.security - package org.randomcoder.xml.security
XML security classes.
OTHER_PHONE - Static variable in class org.randomcoder.security.cardspace.CardSpaceAttributes
Other Phone

P

Package - Class in org.randomcoder.download
JavaBean which holds details for a downloadable package.
Package() - Constructor for class org.randomcoder.download.Package
 
PackageListException - Exception in org.randomcoder.download
Exception thrown if errors occur during package list generation.
PackageListException() - Constructor for exception org.randomcoder.download.PackageListException
Creates a new exception.
PackageListException(String) - Constructor for exception org.randomcoder.download.PackageListException
Creates an exception with the given message.
PackageListException(Throwable) - Constructor for exception org.randomcoder.download.PackageListException
[...]
